package grapheanim;

import java.awt.*;
import java.awt.event.*;
import java.awt.Frame.*;
import java.awt.Dialog.*;
import java.lang.String.*;
import java.lang.Integer.*;

/** Classe permettant de lancer une boite de dialogue "A Propos" */
class APropos extends Object implements ActionListener, WindowListener
{
  private Dialog boite;
  private Button fermer;

  APropos (Frame fr, String st)
  {
    // Creation de la boite dialogue
    boite = new Dialog(fr,"A propos");
    boite.setLayout(new BorderLayout());
    boite.setSize(400,400);
    Panel p1 = new Panel();
    TextArea texte = new TextArea (st, 16, 32, 1);
    texte.setEditable(false);
    p1.add (texte);
    Panel p2 = new Panel();
    fermer = new Button("Fermer");
    p2.add(fermer);
    fermer.addActionListener(this);
    boite.add(p1,BorderLayout.NORTH);
    boite.add(p2,BorderLayout.SOUTH);
    // permet de fermer le boite avec la croix de la fenetre
    boite.addWindowListener(this);
    boite.pack();
    boite.show();
  }

  /** vnement de fermeture */
  public void windowClosing(WindowEvent evt)
  {
    boite.dispose();
  }
  public void windowClosed(WindowEvent evt) { }
  public void windowDeiconified(WindowEvent evt) { }
  public void windowIconified(WindowEvent evt) { }
  public void windowActivated(WindowEvent evt) { }
  public void windowDeactivated(WindowEvent evt) { }
  public void windowOpened(WindowEvent evt) { }


  public void  actionPerformed (ActionEvent evt)
  {
    Object obj = evt.getSource();
    if (obj == fermer) windowClosing(null);
  }

}
