package grapheanim;

import java.awt.*;
import java.io.*;

/** Classe permettant d'utiliser des coordonnes polaires ou rectangulaires. */
public class Complex extends Object implements Serializable
{
  double X;
  double Y;
  double alpha;
  double longueur;

  Complex()
  {
    super();
  }

  public void setFromRectangulaire(Point A, Point B)
  {
    X = B.x-A.x;
    Y = A.y-B.y;
    longueur = Math.sqrt(X*X + Y*Y);
    if (Y < 0) alpha = Math.acos((-X)/longueur)+Math.PI;
    else alpha = Math.acos((X)/longueur);
  }

  public void setFromPolaire(double a, double l)
  {
    alpha = a;
    longueur = l;
    X = Math.cos(alpha)*l;
    Y = -Math.sin(alpha)*l;
  }

}
